/*!
 * \file
 * \brief Include file for the IT++ fixed-point module
 * \author Tony Ottosson
 *
 * -------------------------------------------------------------------------
 *
 * Copyright (C) 1995-2010  (see AUTHORS file for a list of contributors)
 *
 * This file is part of IT++ - a C++ library of mathematical, signal
 * processing, speech processing, and communications classes and functions.
 *
 * IT++ is free software: you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * IT++ is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along
 * with IT++.  If not, see <http://www.gnu.org/licenses/>.
 *
 * -------------------------------------------------------------------------
 */

#ifndef ITFIXED_H
#define ITFIXED_H

/*!
 * \defgroup fixed Fixed-point Module
 * @{
 */

/*!
 * @}
 */

#include <itpp/itbase.h>
#include <itpp/fixed/cfix.h>
#include <itpp/fixed/cfixed.h>
#include <itpp/fixed/fix.h>
#include <itpp/fixed/fix_base.h>
#include <itpp/fixed/fix_factory.h>
#include <itpp/fixed/fix_functions.h>
#include <itpp/fixed/fix_operators.h>
#include <itpp/fixed/fixed.h>

#endif // #ifndef ITFIXED_H
